<?php
	session_start();
	require ("./Funciones/funciones.php");
	require("conexion.php");
	$conexion = conecta();
	$nombre = $_POST['nombre'];
	$cat = $_POST['cat'];
	$codigo = $_POST['cod'];
	$costo = $_POST['costo'];
	$porcf = $_POST['porcf'];
	$pvf = $_POST['pvf'];
	$porm = $_POST['porm'];
	$pvm = $_POST['pvm'];
	$user=$_SESSION['id_admin'];
	$ancho = $_POST['ancho'];
	$largo = $_POST['largo'];
	$med = $_POST['med'];
	$datos = $_POST['datos'];
	$cont = $_POST['cont'];
	$area = $_POST['area'];
	$costov = $_POST['costov'];
	$areas = $_POST['areau'];
	$areau = explode("|",$areas);	
	$insumos = explode("|",$datos);
	function round_up ( $value, $precision ) { 
    $pow = pow ( 10, $precision ); 
    return ( ceil ( $pow * $value ) + ceil ( $pow * $value - ceil ( $pow * $value ) ) ) / $pow; 
} 
	$activado = 1;
	$eliminado = 0;
	$destacado= 0;
	$fecha = date("Y-m-d H:i:s");
	if($id==''){
		$sql = "INSERT INTO Productos(IdProducto,Nombre,Codigo,IdCategoria,Fecha,PrecioCompra,monedac,Costtot,porc,PrecioVenta,monedav,porcm,preciovm,monedavm,Largo,Ancho,Area,IdMedidas,costov) VALUES (DEFAULT,'$nombre','$codigo','$cat','$fecha','$costo','1','$costo','$porcf','$pvf','1','$porm','$pvm','1','$largo','$ancho','$area','$med','$costov')";
		//$sql = "INSERT INTO Productos VALUES (0,'$nombre','$codigo','$cat','$fecha',NULL,NULL,1,0)";
		$res = mysqli_query($conexion,$sql);
		$sql = "SELECT * FROM Productos ORDER BY IdProducto DESC LIMIT 1";
		$prueba = mysqli_query($conexion,$sql);
		$pru = mysqli_fetch_array($prueba);
		$contador = $pru['IdProducto'];
		while($cont != 0){
		$id = $insumos[$cont];
		$areauni = $areau[$cont];
		$p = mysqli_query($conexion,"SELECT * FROM Insumos WHERE IdInsumo = $id");
		$f = mysqli_fetch_array($p);
		$do = mysqli_query($conexion,"INSERT INTO ProductoDetalle VALUES (0,'$contador', '$id', '$areauni',1,'$user' )");
		$cont--;
		}
		echo '1';
	}
	
	
?>
